<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <record id="view_entity_level_mapping_form" model="ir.ui.view">
        <field name="name">encoach.entity.level.mapping.form</field>
        <field name="model">encoach.entity.level.mapping</field>
        <field name="arch" type="xml">
            <form string="Entity Level Mapping">
                <sheet>
                    <group>
                        <group>
                            <field name="entity_id"/>
                            <field name="internal_level_name"/>
                            <field name="cefr_equivalent"/>
                        </group>
                        <group>
                            <field name="min_score"/>
                            <field name="max_score"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="view_entity_level_mapping_list" model="ir.ui.view">
        <field name="name">encoach.entity.level.mapping.list</field>
        <field name="model">encoach.entity.level.mapping</field>
        <field name="arch" type="xml">
            <list string="Entity Level Mappings" editable="bottom">
                <field name="entity_id"/>
                <field name="internal_level_name"/>
                <field name="min_score"/>
                <field name="max_score"/>
                <field name="cefr_equivalent"/>
            </list>
        </field>
    </record>

    <record id="action_entity_level_mapping" model="ir.actions.act_window">
        <field name="name">Entity Level Mappings</field>
        <field name="res_model">encoach.entity.level.mapping</field>
        <field name="view_mode">list,form</field>
    </record>

    <menuitem id="menu_entity_level_mapping"
              name="Entity Level Mappings"
              parent="encoach_core.menu_encoach_entity"
              action="encoach_core.action_entity_level_mapping"
              sequence="10"/>

</odoo>
